﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Grid.Helpers;
using System.Collections.ObjectModel;

namespace DetailsView_NestedLevel
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {   
        public MainWindow()
        {
            InitializeComponent();
           
            this.datagrid.Loaded += datagrid_Loaded;
        }

        void datagrid_Loaded(object sender, RoutedEventArgs e)
        {
            

        }

        private void expand_Click(object sender, RoutedEventArgs e)
        {
            var selectedEmployeeItem = this.datagrid.SelectedItem as Employee;
            var currentEmployeeItem = this.datagrid.CurrentItem as Employee;
            if (selectedEmployeeItem != null)
            {
                var index = (this.datagrid.DataContext as ViewModel).Source.IndexOf(selectedEmployeeItem);
                if ((this.datagrid.DataContext as ViewModel).Source[index].OrderDetails == null)
                {
                    (this.datagrid.DataContext as ViewModel).Source[index].OrderDetails = new ObservableCollection<OrderInfo>();
                    (this.datagrid.DataContext as ViewModel).Source[index].OrderDetails.Add(new OrderInfo() { OrderID = 10001, CustomerID = 1, Quantity = 2, ProductDetails = null, UnitPrice = 15.0 });                  
                }
                else
                    (this.datagrid.DataContext as ViewModel).Source[index].OrderDetails.Insert(0, new OrderInfo() { OrderID = 10001, CustomerID = 1, Quantity = 2, ProductDetails = null, UnitPrice = 15.0 });

                this.FirstDetailsViewGrid.CurrentItem = currentEmployeeItem.OrderDetails[0] as OrderInfo;
                this.FirstDetailsViewGrid.SelectedItem = selectedEmployeeItem.OrderDetails[0] as OrderInfo;
                this.SelectedItem.Text = selectedEmployeeItem.OrderDetails[0].OrderID.ToString();
                this.CurrentItem.Text = currentEmployeeItem.OrderDetails[0].OrderID.ToString();
                

            }
        }

        private void FirstDetailsViewGrid_CurrentCellBeginEdit(object sender, Syncfusion.UI.Xaml.Grid.CurrentCellBeginEditEventArgs args)
        {

        }

        private void FirstDetailsViewGrid_SelectionChanged(object sender, Syncfusion.UI.Xaml.Grid.GridSelectionChangedEventArgs e)
        {

        }
       
    }
}
