﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;


namespace DetailsView_NestedLevel
{
    public class EmployeeInfoRespository : INotifyPropertyChanged
    {

        public EmployeeInfoRespository()
        {
            _comboBoxItemsSource = new List<string>();
            _comboBoxItemsSource.Add("Chennai");
            _comboBoxItemsSource.Add("Mumbai");
            _comboBoxItemsSource.Add("Delhi");
            _comboBoxItemsSource.Add("Bangalore");
            _comboBoxItemsSource.Add("Hyderabad");
            _comboBoxItemsSource.Add("Goa");
            _comboBoxItemsSource.Add("Mysore");
            _comboBoxItemsSource.Add("Trichy");
            _comboBoxItemsSource.Add("Madurai");
            _comboBoxItemsSource.Add("Ahmedabad");
            _comboBoxItemsSource.Add("Mohali");
            _comboBoxItemsSource.Add("Nagpur");
            _comboBoxItemsSource.Add("Patna");
        }

        int tem = 1;
        int k = 1;
        int num = 0;
        public static int value1 = 0;
        int comboitem = 0;
        string dateString = "5/1/1991 8:30:52 AM";

        public ObservableCollection<Employee> GetEmployeesDetails(int count)
        {
            var employees = new ObservableCollection<Employee>();
            for (int i = 1; i < count; i++)
            {
                employees.Add(GetEmployee(i));
            }
            return employees;
        }

        private ObservableCollection<OrderInfo> GetOrderDetails(int count)
        {
            var orders = new ObservableCollection<OrderInfo>();
            for (int i = 0; i < count; i++)
            {
                if (num > 7)
                    num = 0;
                orders.Add(Getorder());
                k += 3;
            }
            return orders;
        }

        private ObservableCollection<SalesInfo> GetSalesDetails(int count)
        {
            var sales = new ObservableCollection<SalesInfo>();
            for (int i = 0; i < count; i++)
            {
                sales.Add(GetSaleInfo(i));
            }
            return sales;
        }

        private ObservableCollection<ProductInfo> GetProductDetails(int count)
        {
            var product = new ObservableCollection<ProductInfo>();
            for (int i = 0; i < count; i++)
            {
                product.Add(GetProduct(i));
            }
            return product;
        }

        public Employee GetEmployee(int i)
        {
            DateTime birthdate = Convert.ToDateTime(dateString);
            comboitem++;
            tem++;
            if (tem > 40)
                tem = 0;
            if (comboitem > 9)
                comboitem = 0;
            return new Employee()
            {
                EmployeeID = 1000 + i,
                OrderID = i,
                ContactID = ContactDetails(),
                BirthDate = birthdate.AddDays(tem),
                SickLeaveHours = tem % 8,
                Salary = 5000 + tem,
                City = _comboBoxItemsSource.ElementAt(comboitem),
                OrderDetails = i == 1 || i == 2 || i == 3 ? GetOrderDetails(6) : new ObservableCollection<OrderInfo>(),
                SalesDetails = i ==1 || i== 2 || i == 3 ? GetSalesDetails(3): null,
                //ProductDetails=GetProductDetails(2)
            };
        }

        public OrderInfo Getorder()
        {
            k++;
            return new OrderInfo()
            {
                OrderID = 1000 + k,
                CustomerID = 700 + k,
                Quantity = tem + k,
                UnitPrice = k + 12,
                ProductDetails = GetProductDetails(3)
            };
        }

        public SalesInfo GetSaleInfo(int i)
        {
            return new SalesInfo()
            {
                SalesOrderID = 1000 + i + k,
                SupplierID = (1000 + i + k) % 56,
                OrderID = 100 + i + 1 + k,
                Country = countries[i]
            };
        }

        public ProductInfo GetProduct(int i)
        {
            return new ProductInfo()
            {
                OrderID = i + 10 + k,
                ProductID = 100 + num + k,
                Discount = (100 + i + k) % 23
            };
        }

        private int ContactDetails()
        {
            int number;
            if (tem % 3 == 0)
                number = 7898789;
            else if (tem % 2 == 0)
                number = 9896781;
            else
                number = 838381;
            return number;
        }

        private string[] countries = new string[]
        {
            "Brazil",
             "Germany",
             "France",
             "Japan",
             "China",
             "Ireland",
             "Argentina",
             "England",
             "Brazil",
             "Germany",
             "France",
             "Japan",
             "China",
             "Ireland",
             "Argentina",
             "England",
             "Brazil",
             "Germany",
             "France",
             "Japan",
             "China",
             "Ireland",
             "Argentina",
             "England"
        };

        private List<string> _comboBoxItemsSource;

        public List<string> ComboBoxItemsSource
        {
            get { return _comboBoxItemsSource; }
            set { _comboBoxItemsSource = value; RaisePropertyChanged("ComboBoxItemsSource"); }
        }

        public void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
